de.esprit.netsuite.netdata.event

## Class CoServerConnectionEvent

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.common.gui.event.GenericEvent
      - - de.esprit.netsuite.netdata.event.AbstractSessionEvent
        - - de.esprit.netsuite.netdata.event.SystemEvent
          - - de.esprit.netsuite.netdata.event.CoServerConnectionEvent

- All Implemented Interfaces:
    DeepCloneable, Dumpable, NetEvent, java.io.Serializable, java.lang.Cloneable

      public class CoServerConnectionEvent
      extends SystemEvent

  This event is sent by the server to notify about a co-server connection or disconnection
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `CoServerConnectionEvent.Listener`
    `static interface` | `CoServerConnectionEvent.Source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CoServerConnectionEvent(CoSessionId coSessId, ConnectionStatus status)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCoServerName()`
    `CoSessionId` | `getSessionId()` Returns the `CoSessionId` of the connected `CoClientContext`
    `boolean` | `isConnected()`
    `boolean` | `isConnectionLost()`
    `boolean` | `isDisconnected()`
    `boolean` | `isOffline()`
    `boolean` | `isOnline()`
    `boolean` | `isReconnected()`
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.netsuite.netdata.event.AbstractSessionEvent

      `setWasCausedByMe, toDumpString, wasCausedByMe`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CoServerConnectionEvent

          public CoServerConnectionEvent(CoSessionId coSessId,
                                 ConnectionStatus status)

  - ### Method Detail

    - #### getSessionId

          public CoSessionId getSessionId()

      Returns the `CoSessionId` of the connected `CoClientContext`
      Specified by:
        `getSessionId` in interface `NetEvent`
      Overrides:
        `getSessionId` in class `AbstractSessionEvent`

    - #### getCoServerName

          public java.lang.String getCoServerName()

    - #### isConnected

          public boolean isConnected()

    - #### isReconnected

          public boolean isReconnected()

    - #### isDisconnected

          public boolean isDisconnected()

    - #### isConnectionLost

          public boolean isConnectionLost()

    - #### isOnline

          public boolean isOnline()

    - #### isOffline

          public boolean isOffline()

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `AbstractSessionEvent`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.